Private Link Resources - List By Vault
Gets the private link resources supported for the key vault.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName}/privateLinkResources?api-version=2021-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
Name of the resource group that contains the key vault. |
|
subscription
|
path | True |
|
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
vault
|
path | True |
|
The name of the key vault. Regex pattern: |
|
api-version
|
query | True |
|
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved private link resources. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
KeyVaultListPrivateLinkResources
Sample Request
Sample Response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-resource-group/providers/Microsoft.KeyVault/vaults/sample-vault/privateLinkResources/vault",
"name": "vault",
"type": "Microsoft.KeyVault/vaults/privateLinkResources",
"properties": {
"groupId": "vault",
"requiredMembers": [
"default"
],
"requiredZoneNames": [
"privatelink.vaultcore.azure.net"
]
}
}
]
}
Definitions
|
Cloud |
An error response from Key Vault resource provider |
|
Cloud |
An error response from Key Vault resource provider |
|
Private |
A private link resource |
|
Private |
A list of private link resources |
CloudError
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| error |
An error response from Key Vault resource provider |
CloudErrorBody
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| code |
|
Error code. This is a mnemonic that can be consumed programmatically. |
| message |
|
User friendly error message. The message is typically localized and may vary with service version. |
PrivateLinkResource
A private link resource
| Name | Type | Description |
|---|---|---|
| id |
|
Fully qualified identifier of the key vault resource. |
| location |
|
Azure location of the key vault resource. |
| name |
|
Name of the key vault resource. |
| properties.groupId |
|
Group identifier of private link resource. |
| properties.requiredMembers |
|
Required member names of private link resource. |
| properties.requiredZoneNames |
|
Required DNS zone names of the the private link resource. |
| tags |
|
Tags assigned to the key vault resource. |
| type |
|
Resource type of the key vault resource. |
PrivateLinkResourceListResult
A list of private link resources
| Name | Type | Description |
|---|---|---|
| value |
Array of private link resources |